List events

Returns immutable events independently of webhook subscriptions.

Without subscriptionId, events with no matching subscription are included with zero delivery counts. With subscriptionId, only events delivered to that subscription are returned and deliverySummary is scoped to it.

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Query parameters

pageintegerOptional>=0Defaults to 0

Zero-based page index. Defaults to 0.

sizeintegerOptional1-100Defaults to 50
Page size between 1 and 100. Defaults to 50.
eventTypeenumOptional
Filter by one event type.
Allowed values:
subscriptionIdstringOptional
Return only events that have at least one delivery to this subscription. Manual resends do not duplicate an event in the list.
fromdatetimeOptional

Return events created at or after this UTC ISO-8601 timestamp (inclusive).

todatetimeOptional

Return events created at or before this UTC ISO-8601 timestamp (inclusive).

sortenumOptional

Sort by createdAt in asc or desc order. Defaults to desc.

Allowed values:

Response headers

Cache-ControlstringOptional
Prevents storage of webhook configuration, payload, and diagnostic responses.

Response

One page of immutable events with aggregate delivery counts.
datalist of objects
Items on the requested page.
pageInfoobject
Paging details for this result set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
405
Method Not Allowed Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error